<?php
/**
 * RSS Marquee
 *
 * @package     RSS Marquee
 * @subpackage  mod_rss_title_slider
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2012/03/scrolling-rss-marquee-joomla-module/
 */

defined('_JEXEC') or die;

$marquee_scrolldelay 	= (int) $params->get('marquee_scrolldelay', 5);
$marquee_scrollamount 	= (int) $params->get('marquee_scrollamount', 2);
$marquee_direction 		= $params->get('marquee_direction', 'left');
$marquee_style 			= $params->get('marquee_style');

if (!is_numeric($marquee_scrolldelay)) { 
	$marquee_scrolldelay = 5; 
}

if (!is_numeric($marquee_scrollamount)) { 
	$marquee_scrollamount = 2; 
}

if ( ! empty($feed) ) 
{
	$cnt = 0;
	$marquee = "";
	for ($i = 0, $max = min(count($feed), 10); $i < $max; $i++)
	{
		$title = $feed[$i]->title;
		$link =  $feed[$i]->uri;
		
		if($cnt==0) 
		{  
			if($link != "") 
			{ 
				$marquee = $marquee . "<a href='".$link."'>"; 
			} 
			
			$marquee = $marquee . stripslashes($title);
			
			if($link != "") 
			{ 
				$marquee = $marquee . "</a>"; 
			}
		}
		else
		{
			if( ($marquee_direction == "down") || ($marquee_direction == "up") )
			{
				$marquee = $marquee . "   <br/><br/>   ";
			}
			else
			{
				$marquee = $marquee . "   &nbsp;&nbsp;   ";
			}
			
			if($link != "") 
			{ 
				$marquee = $marquee . "<a target='_blank' href='".$link."'>"; 
			} 
			
			$marquee = $marquee . stripslashes($title);
			
			if($link != "") 
			{ 
				$marquee = $marquee . "</a>"; 
			}
		}			
		$cnt = $cnt + 1;
	}
	$what_marquee = "";
	$what_marquee = $what_marquee . "<div style='padding:3px;'>";
	$what_marquee = $what_marquee . "<marquee style='$marquee_style' scrollamount='$marquee_scrollamount' scrolldelay='$marquee_scrolldelay' direction='$marquee_direction' onmouseover='this.stop()' onmouseout='this.start()'>";
	$what_marquee = $what_marquee . $marquee;
	$what_marquee = $what_marquee . "</marquee>";
	$what_marquee = $what_marquee . "</div>";
	echo $what_marquee;
}
?>